Name:           python-cosmotech-acceleration-library
Version:        0.10.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Acceleration libraries for CosmoTech cloud based solution development

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.cosmotech.com
Source:         %{pypi_source cosmotech_acceleration_library}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cosmotech-acceleration-library' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cosmotech-acceleration-library
Summary:        %{summary}

%description -n python3-cosmotech-acceleration-library %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-cosmotech-acceleration-library all,doc,extra,test


%prep
%autosetup -p1 -n cosmotech_acceleration_library-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,doc,extra,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cosmotech-acceleration-library -f %{pyproject_files}


%changelog
%autochangelog